Skip to main content
PUT
/
api
/
v1
/
automations
/
{id}
/
evaluators
Replace automation evaluators
curl --request PUT \
  --url https://studio.eigenpal.com/api/v1/automations/{id}/evaluators \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "yaml": "<string>"
}
'
{
  "automationId": "<string>",
  "yaml": "<string>",
  "config": {
    "evaluators": [
      "<unknown>"
    ],
    "passThreshold": 123
  }
}

Authorizations

Authorization
string
header
required

API key issued from Settings → API Keys. Pass as Authorization: Bearer <key>.

Path Parameters

id
string
required

Body

application/json
yaml
string
required
Required string length: 1 - 1048576

Response

Evaluator config

automationId
string
required
automationType
enum<string>
required
Available options:
workflow,
agent
yaml
string
required
config
object
required